using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("部门日历配置班组表")]
    public class T_FM_DEPARTMENT_CALENDAR_CONFIG_TEAM : MesEntityBase
    {
        [Description("节点日历配置表ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_DepartmentCalendarConfig,Nav_DepartmentCalendarConfigTeam")]
        public Guid DEPARTMENT_CALENDAR_CONFIG_ID { get; set; }
        [Description("排班顺序")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public int NUM { get; set; }

        [Description("班组ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_Team")]
        public Guid? TEAM_ID { get; set; }

        [Description("导航：节点日历配置表")]
        public virtual T_FM_DEPARTMENT_CALENDAR_CONFIG Nav_DepartmentCalendarConfig { get; set; }

        [Description("导航：班组表")]
        public virtual T_FM_TEAM Nav_Team { get; set; }
    }
}
